<?php
session_start();
require("../../database/dbConection.php");

$opcaoFiltro = $_POST['opcaoFiltro'];
$idUnidade   = isset($_POST['idUnidade']) ? $_POST['idUnidade'] : "";
switch($opcaoFiltro){

  case "perfil-acesso":
    $sqlUnidade = "SELECT * FROM tb_estabelecimento WHERE (LEFT(codigoestabelecimento_cnes,6)='$idUnidade') AND (codigoestabelecimento_cnes!='9999999999999') ORDER BY nfantasia_estabelecimento";
    $stmUnidade  = $rsConexao->prepare($sqlUnidade);
    $stmUnidade->execute();
    $rsUnidade  = $stmUnidade->fetchAll(PDO::FETCH_ASSOC);
    echo "<option value=''>SELECIONE...</option>";
    foreach ($rsUnidade as $fieldUnidade) {
      $idUnidade    = $fieldUnidade['codigoestabelecimento_cnes'];
      $nomeUnidade  = $fieldUnidade['nfantasia_estabelecimento'];
      echo "<option value='$idUnidade'>$nomeUnidade</option>";
    }
    break;
  
  case "unidade-referencia-endereco":
    $sqlUnidade = "SELECT tb_estabelecimento.*,
    tb_cidades.nome_cidade,
    concat(endereco_estabelecimento,', ',numeroend_estabelecimento,', ',bairro_estabelecimento,' -> MUNICÍPIO: ',nome_cidade) as enderecoUnidade
    FROM tb_estabelecimento 
    INNER JOIN tb_cidades ON (tb_estabelecimento.codigoibge_cidade = tb_cidades.codigoibge_cidade)
    WHERE (codigoestabelecimento_cnes='$idUnidade')";

    $stmUnidade  = $rsConexao->prepare($sqlUnidade);
    $stmUnidade->execute();
    $rsUnidade  = $stmUnidade->fetch(PDO::FETCH_OBJ);
    echo  $rsUnidade->enderecoUnidade;
    break;

  case "unidade-executante-cota":
    $resultadoRetorno             = "";
    $itemPtocedimentoSelecionado  = $_POST['itemPtocedimentoSelecionado'];
    $idProcedimentoGrupo          = $_POST['idProcedimentoGrupo'];
    $whereProcedimentoGrupo       = $itemPtocedimentoSelecionado == "GRUPO" ? "id_grupo_procedimento" : "id_procedimento";    

    $sqlUnidadeExecutante = "SELECT tb_estabelecimento.codigoestabelecimento_cnes,
    tb_estabelecimento.nfantasia_estabelecimento,
    reg_tb_tetounidade.id_grupo_procedimento
    FROM reg_tb_tetounidade
    INNER JOIN reg_tb_unidadereferencia ON (reg_tb_tetounidade.codigoestabelecimento_cnes = reg_tb_unidadereferencia.codigo_estabelecimento_referencia)
    INNER JOIN tb_estabelecimento ON (tb_estabelecimento.codigoestabelecimento_cnes = reg_tb_tetounidade.codigoestabelecimento_cnes)
    WHERE(reg_tb_unidadereferencia.codigo_estabelecimento_base='$idUnidade')
    AND (reg_tb_tetounidade.$whereProcedimentoGrupo='$idProcedimentoGrupo')";
    $stmUnidadeExecutante  = $rsConexao->prepare($sqlUnidadeExecutante);
    $stmUnidadeExecutante  ->execute();
    
    if($stmUnidadeExecutante->rowCount()>0){
      $rsUnidadeExecutante   = $stmUnidadeExecutante->fetchAll(PDO::FETCH_ASSOC);      
      $resultadoRetorno ="<option value=''>SELECIONE...</option>";
      foreach($rsUnidadeExecutante AS $fieldUnidade){
        $codigoUnidade  = $fieldUnidade['codigoestabelecimento_cnes'];
        $nomeUnidade    = $fieldUnidade['nfantasia_estabelecimento'];
        $resultadoRetorno.="<option value='$codigoUnidade'>$nomeUnidade</option>";
      }
    }else{
        $resultadoRetorno ="<option value=''>SEM UNIDADE OU TETO CADASTRADO</option>";
    }   
    echo $resultadoRetorno;
    break;
}

?>